Retrieve a client invoice upload
curl --request GET \
--url https://thirdparty.qonto.com/v2/client_invoices/uploads/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/client_invoices/uploads/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/client_invoices/uploads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "client_invoices_upload",
"id": "019c688e-4adc-795b-b0fb-c9be149262dd",
"attributes": {
"id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"organization_id": "9f8e7d6c-5b4a-3c2d-1e0f-1a2b3c4d5e6f",
"filename": "invoice_document.pdf",
"content_type": "application/pdf",
"file_size": 524288,
"url": "https://qonto-uploads.s3.eu-central-1.amazonaws.com/uploads/4d5418bb-bd0d-4df4-865c-c07afab8bb48/invoice_document.pdf",
"created_at": "2022-03-04T17:58:30+02:00",
"updated_at": "2022-03-04T17:58:30+02:00"
}
}
}{
"errors": [
{
"status": "401",
"code": "unauthorized",
"detail": "Authentication is required to access this resource"
}
]
}{
"errors": [
{
"status": "403",
"code": "forbidden",
"detail": "You do not have permission to access this resource"
}
]
}{
"errors": [
{
"status": "404",
"code": "not_found"
}
]
}{
"errors": [
{
"status": "500",
"code": "internal_server_error",
"detail": "An internal server error occurred while processing the request"
}
]
}Client Invoices
Retrieve a client invoice upload
OAuth scope: client_invoices.read
Retrieves the client invoice upload identified by the id path parameter. This upload can be used for both client invoices and quotes.
GET
/
v2
/
client_invoices
/
uploads
/
{id}
Retrieve a client invoice upload
Authorizations
OAuthSecretKey
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
The ID of the client invoice upload to retrieve
Response
Returns the client invoice upload.
Show child attributes
Show child attributes
Was this page helpful?
⌘I